Name:		monero-wallet-gui
Version:	0.12.0.0
Release:	0.1%{?dist}
Summary:	Official QT GUI wallet for Monero, a private, secure, untraceable peer-to-peer currency

License:	Cryptonote
URL:		https://getmonero.org/
Source0:	https://github.com/monero-project/monero-core/archive/v%{version}.tar.gz

BuildRequires:	monero-devel = %{version}-%(release)
BuildRequires:	boost-devel libunwind-devel qt5-devel openssl-devel readline-devel unbound-devel
#Requires:	

%description
	%{summary}


%prep
%autosetup -p1 -n monero-gui-%{version}
echo 'var GUI_VERSION = "%{version}"' > version.js
echo 'var GUI_MONERO_VERSION = "%{version}"' >> version.js


%build
make -C src/zxcvbn-c CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" %{?_smp_mflags}
%qmake_qt5
make %{?_smp_mflags}


%check
make check


%install
mkdir -p %{buildroot}%{_bindir}

install -Dm755 release/bin/monero-wallet-gui %{buildroot}%{_bindir}/monero-wallet-gui


%files
%license LICENSE
%{_bindir}/monero-wallet-gui


%changelog

